:root{
    --primero: #f85800;
    --primeroHover: #cc3d04;
    --segundo: #11151c;  
}
.btn-primary {
    background-color: #f85800;
    color: white;
    border: none;
    padding: 16px 32px;
    font-size: 18px;
    font-weight: 600;
    border-radius: 0px!important;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    transition: background-color 0.3s ease, box-shadow 0.3s ease, transform 0.3s ease;
    box-shadow: 0 4px 6px rgba(63, 90, 243, 0.2);
}

.btn-dark {
    background-color: var(--segundo);
    color: white;
    border: none;
    padding: 16px 32px;
    font-size: 18px;
    font-weight: 600;
    border-radius: 0px!important;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    transition: background-color 0.3s ease, box-shadow 0.3s ease, transform 0.3s ease;
    box-shadow: 0 4px 6px rgba(63, 90, 243, 0.2);
}

/* Línea brillante */
.btn-primary::before {
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg, transparent, rgba(255, 255, 255, 0.2), transparent);
    transition: left 0.6s ease;
}

/* Hover: va de izquierda a derecha */
.btn-primary:hover::before {
    left: 100%;
}

/* Hover: también cambiamos color y efecto */
.btn-primary:hover {
    background-color: #d64c01;
    box-shadow: 0 6px 8px rgba(63, 90, 243, 0.3);
    transform: translateY(-2px);
}

/* Cuando sale del hover → vuelve de derecha a izquierda */
.btn-primary:not(:hover)::before {
    left: -100%;
}

/* Focus */
.btn-primary:focus {
    outline: none;
    background-color: #f85800;
}

.form-control{
    padding: 20px;
}